#!/bin/bash
# echo arguments in start script:  "$@"
source $SCRIPTS_DIR/container.env
source $SCRIPTS_DIR/host-id-map.sh 
case "$1" in
  shell_update)
  echo updating shell repos
  ;;
  cmd)
  shift 1
  "$@"
  ;;
  script)
  shift 1
  module_load path
  script=$([[ $(isAbsPath $1) ]] && echo $1 || echo $SCRIPTS_DIR/$1)
  shift 1
  /bin/bash $script "$@"
  ;;
  *)
  /bin/bash -c "cd ${INITIAL_DIR:-$HOME}; exec bash -l"
esac